corda / net.corda.core.testing / TransactionStateGenerator

# TransactionStateGenerator

`class TransactionStateGenerator<T : ContractState> : Generator<TransactionState<T>>`

### Constructors

<init> | `TransactionStateGenerator(stateGenerator: Generator<T>)`

### Properties

stateGenerator | `val stateGenerator: Generator<T>`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): TransactionState<T>`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck